จะล็อค Viewport ยังไง (How to Lock the Viewport)

HOW TO LOCK THE VIEWPORT IN AUTOCAD.


บ่อยครั้งที่เมื่อการตั้งค่า Scale โดยการใช้ Connoscale แล้วต้องทำการล็อค Viewport ซึ่งการตั้งล็อค Viewport  สามารถทำได้หลายวิธี เผื่อไว้เลือกใช้กันครับ

ขั้นตอนในการตั้งค่าล็อค Viewport :
1. คลิ๊กเมาส์ให้เข้าไปอยู่ในพื้นที่ Paper Space หรือพิมพ์ PS
2.เลือกเส้นกรอบของ Viewport แล้วเลือกมาตราส่วนที่ต้องการ
3.คลิ๊กเลือก Lock viewport ที่อยู่ด้านข้างของมาตราส่วน viewport
แล้วพิมพ์ PS พื้นที่ Paper Space  หรือจะ ESC. ออกจากคำสั่งก็ได้

การล็อค Viewport นี้มีประโยชน์เพื่อให้พื้นที่ที่ทำการล็อคไม่เคลื่อนที่ เหมาะกับการตั้งค่าสเกลไว้ตั้งแต่เริ่มต้น

อีกวิธีคือการใช้ Properties Command ( CTRL+1)
เลือกที่เส้น Viewport แล้วไปปรับค่าใน Properties Palettes ในหมวด Misc
ค่าตั้ง Display Locked ให้เป็น Yes
หากจะปลดล็อคก็ตั้งให้เป็น NO ครับ

ส่วนคำสั่งทาง Command line สามารถใช้ได้ดังนี้ :

Command line Lock Viewport :
Exsample 1:
Command line : mview
Specify corner of viewport or [ON/OFF/Fit/Shadeplot/Lock/Object/Polygonal/Restore/LAyer/2/3/4] : lock
Viewport View Locking [ON/OFF]: on
Select objects: 1 found
Select objects:
Exsample 2:
Command line : -Vport
Specify corner of viewport or [ON/OFF/Fit/Shadeplot/Lock/Object/Polygonal/Restore/LAyer/2/3/4] : lock
Viewport View Locking [ON/OFF]: on
Select objects: all
1 found


*** คำสั่ง Viewport scale is equal to annotation scale เป็นการปรับตั้งค่าให้แปรเปลี่ยนหรือไม่เปลี่ยนตาม Cannoscale มักใช้คู่กับการพิมพ์แบบ***



Use these functions to lock and unlock viewports with ease
Like many AutoCAD users, tip contributor Jessica Confer likes to work inside of locked model space viewports within layouts.
"For example, there are times when you need to unlock the viewport for repositioning. Here are a couple of functions that allow you to lock and unlock viewports with ease. Use VL to lock viewports and VUL to unlock them."
Viewport Lock – Keyboard Command VL
    ;;LOCKS VIEWPORT
    (defun c:vl (/ vp1)
     (setq vp1 (ssget))
     (command "mview" "l" "on" vp1 ""))

Viewport Unlock – Keyboard Command VUL
    ;;UNLOCKS VIEWPORT
    (defun c:vul (/ vp2)
      (setq vp2 (ssget))
      (command "mview" "l" "off" vp2 ""))
Notes from Cadalyst tip reviewer R.K. McSwain: Locking viewports makes working on drawings much easier, and these two shortcut LISP functions are going to make it even easier for us. Thanks Jennifer.



ไม่มีความคิดเห็น:

แสดงความคิดเห็น

คลังบทความของบล็อก